package com.ibm.emb.test;

import javax.emb.GenericMediaHeader;
import javax.emb.MediaException;
import javax.emb.MediaHeader;

import com.ibm.emb.junit.EMBTestRunner;

/**
 * <pre>
 * 
 *  Line Item: MFB API 
 *  Subcategory 1: javax.emb
 *  Subcategory 2: GenericMediaHeader
 *  
 * </pre>
 */
public class GenericMediaHeaderTest extends MediaHeaderTest {

    public GenericMediaHeaderTest(String name) throws MediaException {
        super(name);
    }

    public static void main(String args[]) {
        EMBTestRunner.run(GenericMediaHeaderTest.class);
    }

    /**
     * creates testInstance to drive tests
     */
    public MediaHeader createMediaHeader() {
        return new GenericMediaHeader();
    }

}